
AC_DEFUN(LAC_SSL_ARGS,
[
dnl Allow the user to override SSLeay with their own SSL package.
AC_ARG_WITH(ssl-path,
        [  --with-ssl-path=DIR           use SSL files in DIR],
        [if test `echo "$withval" | cut -c1-1` = "/" 
         then
                 ssl_build_path="$withval"
                 ssl_install_path="$withval"
         else
                 ssl_build_path="lac_base_path/$withval"
                 ssl_install_path="lac_base_path/$withval"
         fi
        ],
        [ssl_build_path="lac_base_path/ssl"
         ssl_install_path="${prefix}/ssl"])

AC_SUBST(ssl_build_path)
AC_SUBST(ssl_install_path)

])

AC_DEFUN(LAC_SSL,
[
   LAC_SSL_ARGS
])

