/*
 * nx_ver.h
 *
 * rcsid = "$Header: /nfs/globus1/src/master/nexus/nx_ver.h,v 1.11 1997/10/16 03:20:23 tuecke Exp $"
 */

#ifndef _NEXUS_INCLUDE_NX_VERSION_H
#define _NEXUS_INCLUDE_NX_VERSION_H

#ifdef BUILD_PROFILE
extern int _nexus_linked_profile;
static int _nexus_defined_profile(void) { return _nexus_linked_profile; }
#else
extern int _nexus_linked_no_profile;
static int _nexus_defined_profile(void) { return _nexus_linked_no_profile; }
#endif

#ifdef BUILD_DEBUG
extern int _nexus_linked_debug;
static int _nexus_defined_debug(void) { return _nexus_linked_debug; }
#else
extern int _nexus_linked_no_debug;
static int _nexus_defined_debug(void) { return _nexus_linked_no_debug; }
#endif

/* two levels of static function calls are needed in order to fool
   the IBM AIX 3.2 compilers and/or linker into not optimizing away
   the linkguards (jwg).
*/
static int _nexus_force_resolution(void)
{
	return _nexus_defined_profile() + _nexus_defined_debug();
}
#endif /* _NEXUS_INCLUDE_NX_VERSION_H */
