/******************************************************************************
Description:

  Top level CIF include file

CVS Information:

  $Source$
  $Date$
  $Revision$
  $State$
  $Author$
******************************************************************************/

#if !defined(CIF_INCLUDE_CIF)
#define CIF_INCLUDE_CIF 1

/******************************************************************************
			  Include needed header files
******************************************************************************/
#include "Nexus.H"


/******************************************************************************
			     Define CIF constants
******************************************************************************/
#define CIF_NULL 0

#define CIF_PROTOCOL_TCP_STR	"x-cif-tcp"
#define CIF_PROTOCOL_UDP_STR	"x-cif-udp"
#define CIF_PROTOCOL_UUM_STR	"x-cif-uum"
#define CIF_PROTOCOL_ROM_STR	"x-cif-rom"


/******************************************************************************
			       Define CIF types
******************************************************************************/
typedef Nexus_Bool CIF_Bool;
typedef Nexus_Byte CIF_Byte;
typedef Nexus_Size CIF_Size;

class
CIF
: public Nexus
{
};


/******************************************************************************
			   Include CIF header files
******************************************************************************/
#include "CIF_Factory.H"
#include "CIF_Listener.H"
#include "CIF_Connection.H"
#include "CIF_Message.H"

#endif
