/******************************************************************************
CIF_Factory.H

Description:

  CIF Object Factory

CVS Information:

  $Source$
  $Date$
  $Revision$
  $State$
  $Author$
******************************************************************************/

#if !defined(CIF_INCLUDE_CIF_FACTORY)
#define CIF_INCLUDE_CIF_FACTORY

/******************************************************************************
			       Class prototypes
******************************************************************************/
class CIF_Connection;
class CIF_Listener;


/******************************************************************************
			   Define CIF_Factory class
******************************************************************************/
class
CIF_Factory
{
    public: static
    CIF_Connection *
    get_Connection(
	ARG_IN char *			URL,
	ARG_IN int			timeout = -1);

    public: static
    CIF_Listener *
    get_Listener(
	ARG_IN char *			URL);
};

#endif /* CIF_INCLUDE_CIF_FACTORY */

