/******************************************************************************
CIF_Listener_Nexus_TCP.C

Description:

  Implementation of the Nexus Listener class for TCP

CVS Information:

  $Source$
  $Date$
  $Revision$
  $State$
  $Author$
******************************************************************************/

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_Listener_Nexus_TCP.H"
#include "CIF_Connection_Nexus_TCP.H"


/******************************************************************************
		     Define CIF_Listener_Nexus_TCP methods
******************************************************************************/

CIF_Connection_Nexus *
CIF_Listener_Nexus_TCP::allocate_Connection()
{
    CIF_Connection_Nexus_TCP *		conn;

    conn = new CIF_Connection_Nexus_TCP;

    return (CIF_Connection_Nexus *) conn;
}


char *
CIF_Listener_Nexus_TCP::get_URL_Scheme()
{
    return CIF_PROTOCOL_TCP_STR;
}

