/******************************************************************************
Description:

  Classes to provide simple Nexus functionality

CVS Information:

  $Source$
  $Date$
  $Revision$
  $State$
  $Author$
******************************************************************************/

/******************************************************************************
			     Include header files
******************************************************************************/
#include "Nexus_internal.H"

#if defined(BUILD_LITE)
    static Nexus::Status		Nexus_l_status;
    Nexus::Status &			Nexus::status = Nexus_l_status;
#else
    XXX;
#endif

Nexus_Bool
Nexus::activate()
{
    int					argc = 0;
    int					rc;

    rc = nexus_init(&argc,
		    GLOBUS_NULL,
		    "NEXUS_ARGS",
		    "nx",
		    NULL);

    if (rc == NEXUS_SUCCESS)
    {
	Nexus::status = Nexus::STATUS_SUCCESS;
	return true;
    }
    else
    {
	Nexus::status = Nexus::STATUS_FAILURE;
	return false;
    }
}

Nexus_Bool
Nexus::deactivate()
{
    nexus_shutdown();
    Nexus::status = Nexus::STATUS_SUCCESS;
    return true;
}
